#include<bits/stdc++.h>

using namespace std ;
long long n,x,a[1000009];
int main(){
    cin>> n >> x ;
    for(int i=1;i<=n;i++){
        cin>> a[i];
    }
    long long m=a[1];
    long long l=a[1];
    for(int i=1;i<=n;i++){
        m=max(m,a[i]);
        m=max(m,x);
        l=min(l,a[i]);
        l=min(l,x);
    }
    long long r1=abs(x-l);
    long long r2=abs(x-m);
    long long r=min(r1,r2);

    if(x==m){
        cout<< m-l <<endl;
    }
    else if(x==l){
        cout<< m-l <<endl;
    }
    else{
        if(r==r1){
        cout<< 2*r+r2 <<endl;
        }
        else{
            cout<< 2*r+r1 <<endl;
        }
    }
    return 0;
}